From 120ebf9a85106bc665aa8014489de7c57db3a605 Mon Sep 17 00:00:00 2001
From: Victor Seva <linuxmaniac@torreviejawireless.org>
Date: Thu, 24 Oct 2019 10:00:22 +0200
Subject: [PATCH 3/3] add kamgroup config to set group ownership of the file
 created at path

fixes #4

diff --git a/kamcli/iorpc.py b/kamcli/iorpc.py
index 7838f56..c34dbba 100644
--- a/kamcli/iorpc.py
+++ b/kamcli/iorpc.py
@@ -1,12 +1,14 @@
 import os
 import os.path
 import sys
+import shutil
 import socket
 import stat
 import time
 import threading
 import json
 from random import randint
+from configparser import NoOptionError
 
 ##
 # enable yaml output format if the lib can be loaded
@@ -214,6 +216,10 @@ def command_jsonrpc_fifo(ctx, dryrun, sndpath, rcvname, oformat, cmd, params=[],
 
     os.mkfifo(rcvpath, 0o666)
     os.chmod(rcvpath, 0o666)
+    try:
+        shutil.chown(rcvpath, group=ctx.gconfig.get('jsonrpc', 'kamgroup'))
+    except NoOptionError:
+        pass
     # create new thread to read from reply fifo
     tiofifo = IOFifoThread(ctx, rcvpath, oformat)
     # start new threadd
@@ -327,6 +333,11 @@ def command_jsonrpc_socket(ctx, dryrun, srvaddr, rcvaddr, oformat, cmd, params=[
             ctx.vlog("unix socket reply: " + rcvaddr)
             sockclient.bind( rcvaddr )
             os.chmod(rcvaddr, 0o660)
+            try:
+                shutil.chown(
+                    rcvaddr, group=ctx.gconfig.get('jsonrpc', 'kamgroup'))
+            except NoOptionError:
+                pass
             #sockclient.connect( srvaddr )
             #sockclient.send( scmd )
             sockclient.sendto( scmd.encode(), srvaddr )
diff --git a/kamcli/kamcli.ini b/kamcli/kamcli.ini
index 64165de..e6d4465 100644
--- a/kamcli/kamcli.ini
+++ b/kamcli/kamcli.ini
@@ -31,7 +31,8 @@ rourl=%(type)s+%(driver)s://%(rouser)s:%(ropassword)s@%(host)s/%(dbname)s
 [ctl]
 ; type - can be: jsonrpc
 type=jsonrpc
-
+; kamgroup - group of the running kamailio server process
+kamgroup=kamailio
 
 ### jsonrpc settings
 [jsonrpc]
-- 
2.20.1

